Subject: Re: bug#32177: Current line number shifts one column to the left.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jul 2018 05:30:34 +0300

> Date:  Mon, 16 Jul 2018 13:33:03 -0700
> From:  Keith David Bershatsky <[email-masked]>
> Cc:  [email-masked]
> 
> Although it is not often very that I need to inspect the undo-tree history file, setting bidi-display-reordering to a nil value of t gives a tremendous enhancement to movements within that buffer.  Without setting bidi-display-reordering to nil, movements with arrow keys up/down and so forth is unbearably s-l-o-w.  Occasionally, I have to inspect the desktop save file and that too has some very long lines where I think setting bidi-display-reordering may help.  Here is a little snippet written by Noam Postavsky that produces a line matching the format of the undo-tree history file.

You should know that setting that variable to nil is not supported, so
you are playing with fire, that's all.